
package cn.gyee.tamplate.model;


public class Warning2  implements java.io.Serializable{
	
	/** 
    * @Fields serialVersionUID : TODO
    */ 
    
    
    private static final long serialVersionUID = 1L;
	private String id;
	private String parentid;
	private String levelid;
	private String warningclassifyid;
	private String modelid;
	private String manufacturercode;
	private String englishtext;
	private String chinesetext;
	private Integer isleaf;
	private Integer sequencenumber;
	private String characteristic;
	private String codename;
	private Integer ednavalue;
	private Integer display;
	
	private Double standardtime; //报警消缺规定时间
	
	private Integer isreset;
	private String warningtypeid;
//	
//	private Boolean voiceprompt; //是否声音提醒
//	
//	private Boolean lightprompt; //是否变色提醒
//	
//	private Boolean shield; //是否屏蔽

	public String getId() {
    	return id;
    }

	public void setId(String id) {
    	this.id = id;
    }

	public String getParentid() {
    	return parentid;
    }

	public void setParentid(String parentid) {
    	this.parentid = parentid;
    }

	public String getLevelid() {
    	return levelid;
    }

	public void setLevelid(String levelid) {
    	this.levelid = levelid;
    }

	public String getWarningclassifyid() {
    	return warningclassifyid;
    }

	public void setWarningclassifyid(String warningclassifyid) {
    	this.warningclassifyid = warningclassifyid;
    }

	public String getModelid() {
    	return modelid;
    }

	public void setModelid(String modelid) {
    	this.modelid = modelid;
    }

	public String getManufacturercode() {
    	return manufacturercode;
    }

	public void setManufacturercode(String manufacturercode) {
    	this.manufacturercode = manufacturercode;
    }

	public String getEnglishtext() {
    	return englishtext;
    }

	public void setEnglishtext(String englishtext) {
    	this.englishtext = englishtext;
    }

	public String getChinesetext() {
    	return chinesetext;
    }

	public void setChinesetext(String chinesetext) {
    	this.chinesetext = chinesetext;
    }

	public Integer getIsleaf() {
    	return isleaf;
    }

	public void setIsleaf(Integer isleaf) {
    	this.isleaf = isleaf;
    }

	public Integer getSequencenumber() {
    	return sequencenumber;
    }

	public void setSequencenumber(Integer sequencenumber) {
    	this.sequencenumber = sequencenumber;
    }

	public String getCharacteristic() {
    	return characteristic;
    }

	public void setCharacteristic(String characteristic) {
    	this.characteristic = characteristic;
    }

	public String getCodename() {
    	return codename;
    }

	public void setCodename(String codename) {
    	this.codename = codename;
    }

	public Integer getEdnavalue() {
    	return ednavalue;
    }

	public void setEdnavalue(Integer ednavalue) {
    	this.ednavalue = ednavalue;
    }

	public Integer getDisplay() {
    	return display;
    }

	public void setDisplay(Integer display) {
    	this.display = display;
    }

	public Double getStandardtime() {
		return standardtime;
	}

	public void setStandardtime(Double standardtime) {
		this.standardtime = standardtime;
	}

	public Integer getIsreset() {
    	return isreset;
    }

	public void setIsreset(Integer isreset) {
    	this.isreset = isreset;
    }
	
	public String getWarningtypeid() {
		return warningtypeid;
	}

	public void setWarningtypeid(String warningtypeid) {
		this.warningtypeid = warningtypeid;
	}

	@Override
	public String toString() {
		return "Warning [characteristic=" + characteristic + ", chinesetext="
				+ chinesetext + ", codename=" + codename + ", display="
				+ display + ", ednavalue=" + ednavalue + ", englishtext="
				+ englishtext + ", id=" + id + ", isleaf=" + isleaf
				+ ", isreset=" + isreset + ", levelid=" + levelid
				+ ", manufacturercode=" + manufacturercode + ", modelid="
				+ modelid + ", parentid=" + parentid + ", sequencenumber="
				+ sequencenumber + ", standardtime=" + standardtime
				+ ", warningclassifyid=" + warningclassifyid + "]";
	}
	public Warning2() {
		super();
	}
	public Warning2(String id, String parentid, String levelid,
			String warningclassifyid, String modelid, String manufacturercode,
			String englishtext, String chinesetext, Integer isleaf,
			Integer sequencenumber, String characteristic, String codename,
			Integer ednavalue, Integer display, Double standardtime,
			Integer isreset) {
		super();
		this.id = id;
		this.parentid = parentid;
		this.levelid = levelid;
		this.warningclassifyid = warningclassifyid;
		this.modelid = modelid;
		this.manufacturercode = manufacturercode;
		this.englishtext = englishtext;
		this.chinesetext = chinesetext;
		this.isleaf = isleaf;
		this.sequencenumber = sequencenumber;
		this.characteristic = characteristic;
		this.codename = codename;
		this.ednavalue = ednavalue;
		this.display = display;
		this.standardtime = standardtime;
		this.isreset = isreset;
	}

	

//	public Boolean getVoiceprompt() {
//    	return voiceprompt;
//    }
//
//	public void setVoiceprompt(Boolean voiceprompt) {
//    	this.voiceprompt = voiceprompt;
//    }
//
//	public Boolean getLightprompt() {
//    	return lightprompt;
//    }
//
//	public void setLightprompt(Boolean lightprompt) {
//    	this.lightprompt = lightprompt;
//    }
//
//	public Boolean getShield() {
//    	return shield;
//    }
//
//	public void setShield(Boolean shield) {
//    	this.shield = shield;
//    }
	
	

	
	
}
